<template>
  <div class="title-container">
    <h1 class="title">
      {{ title }}
      <div class="border" ref="border"></div>
    </h1>
    <div class="content">
      <slot />
    </div>
  </div>
</template>

<script>
export default {
  name: "Title",
  props: {
    title: {
      type: String,
      required: true
    }
  },
  data() {
    return {
      borderMaxWidth: 0
    }
  },
  computed: {
    firstLetter() {
      return this.title.split('')[0];
    },
    otherLetters() {
      const arr = this.title.split('');
      arr.shift();
      return arr.join('');
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.title-container
  display flex
  flex-direction column
  align-items center

.title-container:hover .border
  width 100%

.title
  font-size 5rem
  font-weight 400
  position relative
  color $white
  width max-content
  direction rtl

.title-container:hover .first-letter
  color $primary

.first-letter
  transition all .2s
  @media (hover: none)
    color $primary

.border
  position absolute
  bottom -1rem
  right 0
  width 0
  height .4rem
  background-color $primary
  transition all .3s ease-out .2s
  @media (hover: none)
    width 100%

.content
  margin-top $xxlg
</style>